////////////////////////////////////////////////////////////////////////////////

/// beep文件
///
/// 新增蜂鸣器模块、上电初始化时响、初始化完成后关闭
/// @file    beep.c 
/// @author  lh 
/// @date    2022-03-02
/// @version v0.1 

////////////////////////////////////////////////////////////////////////////////
#include "beep.h"
#include "gd32f4xx_gpio.h"
//蜂鸣器初始化
void beep_init()
{
  rcu_periph_clock_enable(RCU_GPIOE);
  gpio_mode_set(GPIOE, GPIO_MODE_OUTPUT, GPIO_PUPD_NONE, GPIO_PIN_6);
  gpio_output_options_set(GPIOE, GPIO_OTYPE_PP, GPIO_OSPEED_25MHZ, GPIO_PIN_6);
}
//蜂鸣器开
void beep_enable()
{
  gpio_bit_set(GPIOE, GPIO_PIN_6);
}
//蜂鸣器关
void beep_disable()
{
  gpio_bit_reset(GPIOE, GPIO_PIN_6);
}
